package com.ruoyi.project.sems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 特种设备叉车台账对象 t_specdev_cc
 *
 * @author ruoyi
 * @date 2021-07-26
 */
public class TSpecdevCc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /**设备类别*/
    @Excel(name = "设备类别")
    private String devType;

    /** 装置名称 */
    @Excel(name = "装置")
    private String plantCode;

    /** 型号 */
    @Excel(name = "设备型号")
    private String model;

    /** 车牌号 */
    @Excel(name = "使用登记证编号车牌号")
    private String carNo;

    /** 注册代码 */
    @Excel(name = "设备代码")
    private String regno;

    /** 发动机编号 */
    @Excel(name = "发动机号/底盘号")
    private String frameNo;

    /** 下次检验日期 */
    @JsonFormat(pattern = "yyyy-MM" , timezone = "GMT+8")
    @Excel(name = "下次检验日期", width = 30, dateFormat = "yyyy-MM")
    private Date nextWarnDate;

    /**出场资料*/
    @Excel(name = "出厂资料")
    private String  factoryInfo;

    /** 使用部门 */
    @Excel(name = "使用场所")
    private String useDept;

    /** 防爆级别 */
    @Excel(name = "防爆等级")
    private String exGrade;

    /** 制造单位 */
    @Excel(name = "制造单位")
    private String createUnit;

    /** 检验状态 */
    @Excel(name = "检验状态")

    private String checkStatus;

    /** 单元 */
    //@Excel(name = "单元")
    private String unit;

    /** 装置维修组 */
    //@Excel(name = "装置维修组")
    private String plantMaint;

    /** 装置维护人员 */
    //@Excel(name = "装置维护人员")
    private String engineer;


    /** 档案号 */
   // @Excel(name = "档案号")
    private String docno;

    /** 状态 */
   // @Excel(name = "状态", dictType = "spec_dev_status")
    private Long status;

    /** 审核状态 */
    //@Excel(name = "审核状态", dictType = "spec_approve_status")
    private Long approveStatus;

    /** 颜色 */
   // @Excel(name = "颜色")
    private String color;

    /** 工作能力(t) */
   // @Excel(name = "工作能力(Ton)")
    private String capacity;

    /** 设备名称 */
   // @Excel(name = "设备品种(名称)")
    private String devname;

    /** 动力形式 */
    //@Excel(name = "动力形式")
    private String engineType;



    /** 车架编号 */
    //@Excel(name = "车架（底盘）编号")
    private String engineNo;

    /** 产品编号 */
   // @Excel(name = "产品编号")
    private String productNo;

    /** 防爆改造厂家 */
    //@Excel(name = "防爆改造厂家")
    private String exUnit;

    /** 初检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    //@Excel(name = "初检日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date firstWarnDate;

    /** 检测策略 */
   // @Excel(name = "检测策略")
    private String checkStrategy;

    /** 检验日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    //@Excel(name = "检验日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date warnDate;


    /** 报告编号 */
   // @Excel(name = "报告编号")
    private String reportNo;



    /** 资产归属形式 */
   // @Excel(name = "资产归属形式")
    private String assetOwner;
    /** 定期检验结论 */
   // @Excel(name = "定期检验结论")
    private String perTestConclusion;
    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 设备位号 */
    //@Excel(name = "设备位号")
    private String devno;

    /** 提交日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    //@Excel(name = "投用日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitdate;

    /** 状态 0 ：正常 ；-1：删除 */
    private Long delFlag;

    /** 创建人 */
    private Long createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private Long updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    //@Excel(name = "部门编号")
    private Long deptId;

    /** 使用证编号 */
    //@Excel(name = "使用证编号")
    private String useno;

    /** 检测周期 */
    private Long warnCycle;

    /** 预警标识 */
    //@Excel(name = "预警标识")
    private Long warnFlag;

    /** 检验单位 */
    //@Excel(name = "检验单位")
    private String checkUnit;

    /** 最新申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    //@Excel(name = "最新申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /** 状态修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    //@Excel(name = "状态修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date changeTime;

    /** 类别 */
    //@Excel(name = "类别")
    private String devClass;

    /** 部门名称 */
    //@Excel(name = "部门名称")

    private String deptName;


    private Long devId;


    private Long hiType;


    private Long hiFlag;

    private String plantIds;


    private String unitIds;


    private String checkYear;

    private Long isRepeat;


    private String fuzzy;

    public String getFuzzy() {
        return fuzzy;
    }

    public void setFuzzy(String fuzzy) {
        this.fuzzy = fuzzy;
    }
    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getDevType() {
        return devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public String getFactoryInfo() {
        return factoryInfo;
    }

    public void setFactoryInfo(String factoryInfo) {
        this.factoryInfo = factoryInfo;
    }

    public Long getIsRepeat() {
        return isRepeat;
    }

    public void setIsRepeat(Long isRepeat) {
        this.isRepeat = isRepeat;
    }

    public String getPerTestConclusion() {
        return perTestConclusion;
    }

    public void setPerTestConclusion(String perTestConclusion) {
        this.perTestConclusion = perTestConclusion;
    }

    public Long getHiFlag() {
        return hiFlag;
    }

    public void setHiFlag(Long hiFlag) {
        this.hiFlag = hiFlag;
    }

    public Long getDevId() {
        return devId;
    }

    public void setDevId(Long devId) {
        this.devId = devId;
    }

    public Long getHiType() {
        return hiType;
    }

    public void setHiType(Long hiType) {
        this.hiType = hiType;
    }

    public String getFrameNo() {
        return frameNo;
    }

    public void setFrameNo(String frameNo) {
        this.frameNo = frameNo;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }

    public String getAssetOwner() {
        return assetOwner;
    }

    public void setAssetOwner(String assetOwner) {
        this.assetOwner = assetOwner;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setCarNo(String carNo)
    {
        this.carNo = carNo;
    }

    public String getCarNo()
    {
        return carNo;
    }
    public void setDevname(String devname)
    {
        this.devname = devname;
    }

    public String getDevname()
    {
        return devname;
    }
    public void setDevno(String devno)
    {
        this.devno = devno;
    }

    public String getDevno()
    {
        return devno;
    }
    public void setSubmitdate(Date submitdate)
    {
        this.submitdate = submitdate;
    }

    public Date getSubmitdate()
    {
        return submitdate;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public String getPlantIds() {
        return plantIds;
    }

    public void setPlantIds(String plantIds) {
        this.plantIds = plantIds;
    }

    public String getUnitIds() {
        return unitIds;
    }

    public void setUnitIds(String unitIds) {
        this.unitIds = unitIds;
    }

    public String getCheckYear() {
        return checkYear;
    }

    public void setCheckYear(String checkYear) {
        this.checkYear = checkYear;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }
    public void setRegno(String regno)
    {
        this.regno = regno;
    }

    public String getRegno()
    {
        return regno;
    }
    public void setUseno(String useno)
    {
        this.useno = useno;
    }

    public String getUseno()
    {
        return useno;
    }
    public void setWarnDate(Date warnDate)
    {
        this.warnDate = warnDate;
    }

    public Date getWarnDate()
    {
        return warnDate;
    }
    public void setWarnCycle(Long warnCycle)
    {
        this.warnCycle = warnCycle;
    }

    public Long getWarnCycle()
    {
        return warnCycle;
    }
    public void setNextWarnDate(Date nextWarnDate)
    {
        this.nextWarnDate = nextWarnDate;
    }

    public Date getNextWarnDate()
    {
        return nextWarnDate;
    }
    public void setWarnFlag(Long warnFlag)
    {
        this.warnFlag = warnFlag;
    }

    public Long getWarnFlag()
    {
        return warnFlag;
    }
    public void setCreateUnit(String createUnit)
    {
        this.createUnit = createUnit;
    }

    public String getCreateUnit()
    {
        return createUnit;
    }
    public void setCheckStrategy(String checkStrategy)
    {
        this.checkStrategy = checkStrategy;
    }

    public String getCheckStrategy()
    {
        return checkStrategy;
    }
    public void setFirstWarnDate(Date firstWarnDate)
    {
        this.firstWarnDate = firstWarnDate;
    }

    public Date getFirstWarnDate()
    {
        return firstWarnDate;
    }
    public void setCheckUnit(String checkUnit)
    {
        this.checkUnit = checkUnit;
    }

    public String getCheckUnit()
    {
        return checkUnit;
    }
    public void setDocno(String docno)
    {
        this.docno = docno;
    }

    public String getDocno()
    {
        return docno;
    }
    public void setApproveTime(Date approveTime)
    {
        this.approveTime = approveTime;
    }

    public Date getApproveTime()
    {
        return approveTime;
    }
    public void setChangeTime(Date changeTime)
    {
        this.changeTime = changeTime;
    }

    public Date getChangeTime()
    {
        return changeTime;
    }
    public void setEngineNo(String engineNo)
    {
        this.engineNo = engineNo;
    }

    public String getEngineNo()
    {
        return engineNo;
    }
    public void setColor(String color)
    {
        this.color = color;
    }

    public String getColor()
    {
        return color;
    }
    public void setCapacity(String capacity)
    {
        this.capacity = capacity;
    }

    public String getCapacity()
    {
        return capacity;
    }
    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }
    public void setEngineType(String engineType)
    {
        this.engineType = engineType;
    }

    public String getEngineType()
    {
        return engineType;
    }
    public void setDevClass(String devClass)
    {
        this.devClass = devClass;
    }

    public String getDevClass()
    {
        return devClass;
    }
    public void setExUnit(String exUnit)
    {
        this.exUnit = exUnit;
    }

    public String getExUnit()
    {
        return exUnit;
    }
    public void setUseDept(String useDept)
    {
        this.useDept = useDept;
    }

    public String getUseDept()
    {
        return useDept;
    }
    public void setEngineer(String engineer)
    {
        this.engineer = engineer;
    }

    public String getEngineer()
    {
        return engineer;
    }
    public void setExGrade(String exGrade)
    {
        this.exGrade = exGrade;
    }

    public String getExGrade()
    {
        return exGrade;
    }
    public void setReportNo(String reportNo)
    {
        this.reportNo = reportNo;
    }

    public String getReportNo()
    {
        return reportNo;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getPlantMaint() {
        return plantMaint;
    }

    public void setPlantMaint(String plantMaint) {
        this.plantMaint = plantMaint;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("carNo", getCarNo())
            .append("devname", getDevname())
            .append("devno", getDevno())
            .append("submitdate", getSubmitdate())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("approveStatus", getApproveStatus())
            .append("regno", getRegno())
            .append("useno", getUseno())
            .append("warnDate", getWarnDate())
            .append("warnCycle", getWarnCycle())
            .append("nextWarnDate", getNextWarnDate())
            .append("warnFlag", getWarnFlag())
            .append("createUnit", getCreateUnit())
            .append("checkStrategy", getCheckStrategy())
            .append("firstWarnDate", getFirstWarnDate())
            .append("checkUnit", getCheckUnit())
            .append("docno", getDocno())
            .append("approveTime", getApproveTime())
            .append("changeTime", getChangeTime())
            .append("engineNo", getEngineNo())
            .append("color", getColor())
            .append("capacity", getCapacity())
            .append("model", getModel())
            .append("engineType", getEngineType())
            .append("devClass", getDevClass())
            .append("exUnit", getExUnit())
            .append("useDept", getUseDept())
            .append("engineer", getEngineer())
            .append("exGrade", getExGrade())
            .append("reportNo", getReportNo())
            .toString();
    }
}
